Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Scripts/jquery-1.5.1-vsdoc.js
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Scripts/jquery-1.5.1-vsdoc.js	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Scripts/jquery-1.5.1-vsdoc.js	(revision 9582)
@@ -7303,6 +277,7 @@
         /// </param>
         /// <param name="options" type="Object">
-        ///     A set of key/value pairs that configure the Ajax request.
-        /// </param>
+        ///     A set of key/value pairs that configure the Ajax request. All settings are optional. A default can be set for any option with $.ajaxSetup(). See jQuery.ajax( settings ) below for a complete list of all settings.
+        /// </param>
+
 
         // If url is an object, simulate pre-1.5 signature
@@ -7316,88 +291,88 @@
 
         var // Create the final options object
-			    s = jQuery.ajaxSetup({}, options),
+			s = jQuery.ajaxSetup({}, options),
         // Callbacks context
-			    callbackContext = s.context || s,
+			callbackContext = s.context || s,
         // Context for global events
         // It's the callbackContext if one was provided in the options
         // and if it's a DOM node or a jQuery collection
-			    globalEventContext = callbackContext !== s &&
-				    (callbackContext.nodeType || callbackContext instanceof jQuery) ?
-						    jQuery(callbackContext) : jQuery.event,
+			globalEventContext = callbackContext !== s &&
+				(callbackContext.nodeType || callbackContext instanceof jQuery) ?
+						jQuery(callbackContext) : jQuery.event,
         // Deferreds
-			    deferred = jQuery.Deferred(),
-			    completeDeferred = jQuery._Deferred(),
+			deferred = jQuery.Deferred(),
+			completeDeferred = jQuery._Deferred(),
         // Status-dependent callbacks
-			    statusCode = s.statusCode || {},
+			statusCode = s.statusCode || {},
         // ifModified key
-			    ifModifiedKey,
+			ifModifiedKey,
         // Headers (they are sent all at once)
-			    requestHeaders = {},
+			requestHeaders = {},
         // Response headers
-			    responseHeadersString,
-			    responseHeaders,
+			responseHeadersString,
+			responseHeaders,
         // transport
-			    transport,
+			transport,
         // timeout handle
-			    timeoutTimer,
+			timeoutTimer,
         // Cross-domain detection vars
-			    parts,
+			parts,
         // The jqXHR state
-			    state = 0,
+			state = 0,
         // To know if global events are to be dispatched
-			    fireGlobals,
+			fireGlobals,
         // Loop variable
-			    i,
+			i,
         // Fake xhr
-			    jqXHR = {
-
-			        readyState: 0,
-
-			        // Caches the header
-			        setRequestHeader: function (name, value) {
-			            if (!state) {
-			                requestHeaders[name.toLowerCase().replace(rucHeaders, rucHeadersFunc)] = value;
+			jqXHR = {
+
+			    readyState: 0,
+
+			    // Caches the header
+			    setRequestHeader: function (name, value) {
+			        if (!state) {
+			            requestHeaders[name.toLowerCase().replace(rucHeaders, rucHeadersFunc)] = value;
+			        }
+			        return this;
+			    },
+
+			    // Raw string
+			    getAllResponseHeaders: function () {
+			        return state === 2 ? responseHeadersString : null;
+			    },
+
+			    // Builds headers hashtable if needed
+			    getResponseHeader: function (key) {
+			        var match;
+			        if (state === 2) {
+			            if (!responseHeaders) {
+			                responseHeaders = {};
+			                while ((match = rheaders.exec(responseHeadersString))) {
+			                    responseHeaders[match[1].toLowerCase()] = match[2];
+			                }
 			            }
-			            return this;
-			        },
-
-			        // Raw string
-			        getAllResponseHeaders: function () {
-			            return state === 2 ? responseHeadersString : null;
-			        },
-
-			        // Builds headers hashtable if needed
-			        getResponseHeader: function (key) {
-			            var match;
-			            if (state === 2) {
-			                if (!responseHeaders) {
-			                    responseHeaders = {};
-			                    while ((match = rheaders.exec(responseHeadersString))) {
-			                        responseHeaders[match[1].toLowerCase()] = match[2];
-			                    }
-			                }
-			                match = responseHeaders[key.toLowerCase()];
-			            }
-			            return match === undefined ? null : match;
-			        },
-
-			        // Overrides response content-type header
-			        overrideMimeType: function (type) {
-			            if (!state) {
-			                s.mimeType = type;
-			            }
-			            return this;
-			        },
-
-			        // Cancel the request
-			        abort: function (statusText) {
-			            statusText = statusText || "abort";
-			            if (transport) {
-			                transport.abort(statusText);
-			            }
-			            done(0, statusText);
-			            return this;
+			            match = responseHeaders[key.toLowerCase()];
 			        }
-			    };
+			        return match === undefined ? null : match;
+			    },
+
+			    // Overrides response content-type header
+			    overrideMimeType: function (type) {
+			        if (!state) {
+			            s.mimeType = type;
+			        }
+			        return this;
+			    },
+
+			    // Cancel the request
+			    abort: function (statusText) {
+			        statusText = statusText || "abort";
+			        if (transport) {
+			            transport.abort(statusText);
+			        }
+			        done(0, statusText);
+			        return this;
+			    }
+			};
 
         // Callback for when everything is done
@@ -7430,9 +405,9 @@
 
             var isSuccess,
-				    success,
-				    error,
-				    response = responses ? ajaxHandleResponses(s, jqXHR, responses) : undefined,
-				    lastModified,
-				    etag;
+				success,
+				error,
+				response = responses ? ajaxHandleResponses(s, jqXHR, responses) : undefined,
+				lastModified,
+				etag;
 
             // If successful, handle type chaining
@@ -7498,5 +473,5 @@
             if (fireGlobals) {
                 globalEventContext.trigger("ajax" + (isSuccess ? "Success" : "Error"),
-						    [jqXHR, s, isSuccess ? success : error]);
+						[jqXHR, s, isSuccess ? success : error]);
             }
 
@@ -7547,8 +522,8 @@
             parts = rurl.exec(s.url.toLowerCase());
             s.crossDomain = !!(parts &&
-				    (parts[1] != ajaxLocParts[1] || parts[2] != ajaxLocParts[2] ||
-					    (parts[3] || (parts[1] === "http:" ? 80 : 443)) !=
-						    (ajaxLocParts[3] || (ajaxLocParts[1] === "http:" ? 80 : 443)))
-			    );
+				(parts[1] != ajaxLocParts[1] || parts[2] != ajaxLocParts[2] ||
+					(parts[3] || (parts[1] === "http:" ? 80 : 443)) !=
+						(ajaxLocParts[3] || (ajaxLocParts[1] === "http:" ? 80 : 443)))
+			);
         }
 
@@ -7596,5 +571,5 @@
                 var ts = jQuery.now(),
                 // try replacing _= if it is there
-					    ret = s.url.replace(rts, "$1_=" + ts);
+					ret = s.url.replace(rts, "$1_=" + ts);
 
                 // if nothing was replaced, add timestamp to the end
@@ -7621,6 +596,6 @@
         // Set the Accepts header for the server, depending on the dataType
         requestHeaders.Accept = s.dataTypes[0] && s.accepts[s.dataTypes[0]] ?
-			    s.accepts[s.dataTypes[0]] + (s.dataTypes[0] !== "*" ? ", */*; q=0.01" : "") :
-			    s.accepts["*"];
+			s.accepts[s.dataTypes[0]] + (s.dataTypes[0] !== "*" ? ", */*; q=0.01" : "") :
+			s.accepts["*"];
 
         // Check for headers option
